/*
 * Class REFLECTED_REFERENCE_OBJECT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_566 [] = {0xFF01,1551,565,0xFFFF};
static const EIF_TYPE_INDEX egt_2_566 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_3_566 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_566 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_566 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_6_566 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_7_566 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_566 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_566 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_566 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_13_566 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_14_566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_16_566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_566 [] = {0xFF01,564,0xFFFF};
static const EIF_TYPE_INDEX egt_18_566 [] = {0xFF01,564,0xFFFF};
static const EIF_TYPE_INDEX egt_19_566 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_20_566 [] = {0xFF01,0,0xFFFF};


static const struct desc_info desc_566[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_566), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_566), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_566), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_566), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_566), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_566), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_566), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_566), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_566), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_566), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_566), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_566), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x046B /*565*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_566), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9867, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_566), 10064, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_566), 9985, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_566), 9986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9987, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9989, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 9990, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 9991, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9992, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9993, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9994, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9995, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9996, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9997, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9999, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10000, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10001, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10002, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10003, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_566), 10004, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10005, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_566), 10068, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_566), 10008, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_566), 10069, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 10009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 10010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 10012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 10013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 10014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 10015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 10016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 10017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 10019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 10020, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 10021, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 10022, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10025, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10026, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10028, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10029, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10038, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10040, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10044, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10045, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 10046, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 10047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 10065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10061, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10062, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10063, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_566), 10066, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10067, 8},
	{EIF_GENERIC(NULL), 10060, 0xFFFFFFFF},
};
void Init566(void)
{
	IDSC(desc_566, 0, 565);
	IDSC(desc_566 + 1, 1, 565);
	IDSC(desc_566 + 32, 1232, 565);
	IDSC(desc_566 + 57, 798, 565);
	IDSC(desc_566 + 124, 1286, 565);
}


#ifdef __cplusplus
}
#endif
